<?php

class Autoklasse {

    // Ein Attribute

    private $geschwindigkeit = 0;

    // Der Konstruktor

    public function __construct($standart = 0)
    {
        $this->geschwindigkeit = $standart;
        echo "Ein Objekt wurde erzeugt. <br>";
    }

    // zum Bremsen:

    public function bremsen($aenderung)
    {
        if ($this->geschwindigkeit - $aenderung < 0)
        {
            $this->geschwindigkeit = 0;
        }
        else
        {
            $this->geschwindigkeit = $this->geschwindigkeit - $aenderung;
        }
    }

    // Zum Gasgeben

    public function gasgeben($aenderung)
    {
        $this->geschwindigkeit = $this->geschwindigkeit + $aenderung;
    }

    //zur Ausgeben der Geschwindigkeit

    public function ausgeben()
    {
        echo "Die geschwindigkeit beträgt: " .$this->geschwindigkeit ." .";
    }

    public function getGeschwindigkeit()
    {
        return $this->geschwindigkeit;
    }

    public function setGeschwindigkeit($neuerWert)
    {
        $this->geschwindigkeit = $neuerWert;
    }

}





/*
// Instanz erzeugen

$auto1 = new Autoklasse(0);

$auto2 = new Autoklasse(10);

$auto3 = new Autoklasse(0);

unset($auto3);

echo "<hr>";

//die Geschwindigkeit ausgeben
echo "Nach dem Erzeugen und initialisieren: ";

$auto1->ausgabe();
$auto2->ausgabe();
echo "hr";

echo "Nach dem Gasgeben: ";

$auto1->ausgabe();
$auto2->ausgabe();

//Methode Gasgeben aufrufen:

$auto1->gasgeben(20);
$auto2->gasgeben(100);
echo "<hr>";

//Methode Bremsen aufrufen:

$auto1->bremsen(10);
$auto2->bremsen(50);
echo "<hr>";
*/


?>



